Endpoints related to Definitions. See Entity Definition for further details.
Get tenant entity definition
Returns the JSON schema definition for an entity class and type.
entityClass in the URL is the lowercase route segment (task, fee_category, document), not the uppercase data-dictionary name.
MANIFEST, RUN_SHEET, and WAVE_PICK are task types and are only available through task
(for example task / MANIFEST, task / RUN_SHEET, and task / WAVE_PICK).
They are not available through activity.
The existing activity entity types are available through both activity and task and return the same schema from either.
task / WAVE_PICK describes the shared wave pick task schema, including status enum labels used across wave pick process types.
document definitions are served by the file service. fee_category requires VIEW_FEE_CATEGORY.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
entityClassLowercase path segment for the entity class, as routed by the API.
Lowercase path segment for a tenant entity definition.
entityTypeSee Data Dictionary for further details
| Entity Class | Entity Types |
|---|---|
activity | INBOUND, OUTBOUND, PICK_ITEM_TO_TOTE, PICK_PACK |
actor | CARRIER, VEHICLE |
company | CUSTOMER |
document | INBOUND_RECEIVAL, OUTBOUND_CONFIRMATION, TRANSPORT_PROOF_OF_DELIVERY, TRANSPORT_PROOF_OF_DELIVERY_REQUIRED_ATTACHMENTS |
fee_category | FEE_CATEGORY |
product | TRANSPORT, WAREHOUSE |
task | INBOUND, MANIFEST, OUTBOUND, PICK_ITEM_TO_TOTE, PICK_PACK, RUN_SHEET, WAVE_PICK |
trackable | STOCK, TRANSPORT_ITEM, TRANSPORT_PRODUCT |
query Parameters
inactiveCustomFieldsInclude inactive custom fields. Honoured for activity, product, task, and trackable. Ignored for actor, company, document, and fee_category.
customerIdCustomer UUID. When provided for activity, task, warehouse product, or stock trackable, customer-specific property definitions are included. Returns 400 if the customer does not exist. Ignored for other entity classes.
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Get tenant entity definition › Responses
Success
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · type="boolean" | |
| type = object · type="integer" | |
| type = object · type="number" | |
| type = object · type="string" | |
| type = object · type="array" | |
| type = object · type="object" |
typedefaulttitleLabel for the field.
descriptionDescription of field. Could be used for a tooltip or field information.
deprecatedIndicates that the value the keyword applies to should not be used and may be removed in the future. Currently set to true for disabled custom fields.
readOnlyField generated / calculated by the system and cannot be set, only read. Defaults to false.